Package: groovy.org.codenarc.rule.concurrency

## [Groovy] Class VolatileLongOrDoubleFieldRule

- groovy.org.codenarc.rule.concurrency.VolatileLongOrDoubleFieldRule

- This rule reports long or double fields which are declared as volatile. Java specifies that reads and writes from such fields are atomic, but many JVM's have violated this specification. Unless you are certain of your JVM, it is better to synchronize access to such fields rather than declare them volatile.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority